Skip to main content

Step 3: Verify mandate

Step 3: Verify the e-mandate status for the payer

POST: https://api.creditchek.africa/v1/recova/consent/business/get-mandate

Contact [email protected] if you encounter any error responses at this stage.

Poll the real-time status of an e-mandate and view its linked accounts, total collections, and current balances.

POST /v1/recova/consent/business/get-mandate
Content-Type: application/json
token: <YOUR_API_KEY>

Request Parameters

Sample Request
{
"mandateId": "66f1b8c4d29a430018a99101"
}

Response (200 OK)​

{
"status": true,
"message": "Mandate retrieved successfully",
"error": false,
"data": {
"_id": "66f1b8c4d29a430018a99101",
"businessId": "630c8be89131cd442344e790",
"reference": "b6e1e2b0-4f51-4012-9c32-b892110cfa01",
"bvn": "22222222222",
"status": "active",
"totalAmountDue": 60000,
"outstandingBalance": 40000,
"collectedAmount": 20000,
"startDate": "2026-10-01",
"endDate": "2026-12-31",
"frequency": "monthly",
"collectionMode": "auto",
"consents": [
{
"_id": "66f1b9f1d29a430018a99105",
"accountNumber": "0088741090",
"bankCode": "044",
"accountName": "OLUWASEUN ADEKUNLE",
"primary": true,
"active": true
}
]
}
}